io.vertx.rxjava3.ext.auth.authorization

## Class RoleBasedAuthorization

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authorization.Authorization
  - - io.vertx.rxjava3.ext.auth.authorization.RoleBasedAuthorization

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class RoleBasedAuthorization
      extends Authorization
      implements io.vertx.lang.rx.RxDelegate

  Represents a role. Note that this role can optionally be assigned to a specific resource

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RoleBasedAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleBasedAuthorization(Object delegate)`
    `RoleBasedAuthorization(RoleBasedAuthorization delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RoleBasedAuthorization` | `create(String role)`
    `boolean` | `equals(Object o)`
    `RoleBasedAuthorization` | `getDelegate()`
    `String` | `getResource()` returns an optional resource that the role is assigned-on
    `String` | `getRole()` returns the role
    `int` | `hashCode()`
    `static RoleBasedAuthorization` | `newInstance(RoleBasedAuthorization arg)`
    `RoleBasedAuthorization` | `setResource(String resource)` sets an optional resource that the role is assigned-on
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authorization.Authorization

      `match, match, newInstance, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RoleBasedAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### RoleBasedAuthorization

          public RoleBasedAuthorization(RoleBasedAuthorization delegate)

    - #### RoleBasedAuthorization

          public RoleBasedAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Authorization`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Authorization`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Authorization`

    - #### getDelegate

          public RoleBasedAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Authorization`

    - #### create

          public static RoleBasedAuthorization create(String role)

    - #### getRole

          public String getRole()

      returns the role
      Returns:

    - #### getResource

          public String getResource()

      returns an optional resource that the role is assigned-on
      Returns:

    - #### setResource

          public RoleBasedAuthorization setResource(String resource)

      sets an optional resource that the role is assigned-on
      Parameters:
        `resource` -
      Returns:

    - #### newInstance

          public static RoleBasedAuthorization newInstance(RoleBasedAuthorization arg)

Copyright © 2025 Eclipse. All rights reserved.